HPRT AI Platform
开发者接入Overview

Create Asset Upload

POST
/api/v1/assets/uploads

Header Parameters

X-Client-App?string|null
Authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/assets/uploads" \  -H "Content-Type: application/json" \  -d '{    "file_name": "string",    "media_type": "image/jpeg",    "size_bytes": 1  }'
{  "asset_id": "string",  "object_key": "string",  "source": {    "asset_id": "string",    "media_type": "image/jpeg",    "sha256": "string",    "url": "string"  },  "upload": {    "expires_at": "2019-08-24T14:15:22Z",    "headers": {      "property1": "string",      "property2": "string"    },    "method": "string",    "url": "string"  }}